from taipy.designer import Page
from taipy.gui import navigate


def fahrenheit_to_celsius(fahrenheit):
    return (fahrenheit - 32) * 5 / 9

fahrenheit = 100
celsius = fahrenheit_to_celsius(fahrenheit)

def on_change(state, var, val):
    if var == "fahrenheit":
        state.celsius = fahrenheit_to_celsius(val)
        
def go_home(state):
    navigate(state, "home")    

temperature_page = Page("temperature.xprjson")

